AI Gateway
Get AI Gateway Audit Data
Gets AI Gateway audit data given filter input parameters
GET
/
api
/
aigateway
/
v1
/
audit
Get AI Gateway Audit Data
curl --request GET \
--url https://mycluster.domino.tech/api/aigateway/v1/audit \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/aigateway/v1/audit"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/aigateway/v1/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"endpointId": "<string>",
"endpointType": "<string>",
"eventKind": "<string>",
"metadata": {
"foo": "bar"
},
"performedBy": "<string>",
"timestamp": "1996-07-19T03:13:44.467Z"
}
]{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Query Parameters
Endpoint IDs to query audit data for
Endpoint names to query audit data for
Start time (iso8601)
End time (iso8601)
Response
Success
Endpoint ID
Endpoint type
Event kind
A map of string -> string
Show child attributes
Show child attributes
Example:
{ "foo": "bar" }
ID of user who performed the event
timestamp of when event was performed
Example:
"1996-07-19T03:13:44.467Z"
Last modified on September 3, 2026
Was this page helpful?
⌘I
Get AI Gateway Audit Data
